net.sf.jasperreports.engine.export

## Class JRXlsAbstractExporterNature

- java.lang.Object
- - net.sf.jasperreports.engine.export.AbstractExporterNature
  - - net.sf.jasperreports.engine.export.JRXlsAbstractExporterNature

- All Implemented Interfaces:
    ExporterFilter, ExporterNature
  Direct Known Subclasses:
    JExcelApiExporterNature, JROdsExporterNature, JRXlsExporterNature, JRXlsxExporterNature

      public class JRXlsAbstractExporterNature
      extends AbstractExporterNature

  Version:
    $Id: JRXlsAbstractExporterNature.java 6805 2014-01-10 12:42:19Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `isIgnoreGraphics`
    `protected boolean` | `isIgnorePageMargins`
    `static java.lang.String` | `PROPERTY_BREAK_AFTER_ROW` Deprecated. Replaced by `JRXlsAbstractExporter.PROPERTY_BREAK_AFTER_ROW`.
    `static java.lang.String` | `PROPERTY_BREAK_BEFORE_ROW` Deprecated. Replaced by `JRXlsAbstractExporter.PROPERTY_BREAK_BEFORE_ROW`.

    - ### Fields inherited from class net.sf.jasperreports.engine.export.AbstractExporterNature

      `filter, handlerEnvironment, jasperReportsContext, propertiesUtil`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRXlsAbstractExporterNature(ExporterFilter filter, boolean isIgnoreGraphics)` Deprecated. Replaced by `JRXlsAbstractExporterNature(JasperReportsContext, ExporterFilter, boolean, boolean)`.
    `protected` | `JRXlsAbstractExporterNature(ExporterFilter filter, boolean isIgnoreGraphics, boolean isIgnorePageMargins)` Deprecated. Replaced by `JRXlsAbstractExporterNature(JasperReportsContext, ExporterFilter, boolean, boolean)`.
    `protected` | `JRXlsAbstractExporterNature(JasperReportsContext jasperReportsContext, ExporterFilter filter, boolean isIgnoreGraphics, boolean isIgnorePageMargins)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getColumnAutoFit(JRPrintElement element)`
    `java.lang.Float` | `getColumnWidthRatio(JRPrintElement element)`
    `java.lang.Integer` | `getCustomColumnWidth(JRPrintElement element)`
    `java.lang.Integer` | `getFirstPageNumber(JRPrintElement element)`
    `java.lang.Integer` | `getPageScale(JRPrintElement element)`
    `JRPropertiesUtil` | `getPropertiesUtil()`
    `java.lang.Boolean` | `getRowAutoFit(JRPrintElement element)`
    `java.util.List<JRPropertiesUtil.PropertySuffix>` | `getRowLevelSuffixes(JRPrintElement element)`
    `java.lang.String` | `getSheetName(JRPrintElement element)`
    `java.lang.Boolean` | `getShowGridlines(JRPrintElement element)`
    `boolean` | `isBreakAfterRow(JRPrintElement element)`
    `boolean` | `isBreakBeforeRow(JRPrintElement element)`
    `boolean` | `isDeep(JRPrintFrame frame)` Specified whether to include in the grid sub elements of a given `frame` element.
    `boolean` | `isHorizontallyMergeEmptyCells()` Flag that specifies that empty cells are to be horizontally merged.
    `boolean` | `isIgnoreLastRow()`
    `boolean` | `isIgnorePageMargins()` Specifies whether empty page margins should be ignored
    `boolean` | `isSpanCells()` Specifies whether the exporter handles cells span
    `boolean` | `isToExport(JRPrintElement element)`
    `void` | `setXProperties(CutsInfo xCuts, JRPrintElement element, int row1, int col1, int row2, int col2)`
    `void` | `setXProperties(java.util.Map<java.lang.String,java.lang.Object> xCutsProperties, JRPrintElement element)`
    `void` | `setYProperties(CutsInfo yCuts, JRPrintElement element, int row1, int col1, int row2, int col2)`
    `void` | `setYProperties(java.util.Map<java.lang.String,java.lang.Object> yCutsProperties, JRPrintElement element)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_BREAK_BEFORE_ROW

          public static final java.lang.String PROPERTY_BREAK_BEFORE_ROW

      Deprecated. Replaced by `JRXlsAbstractExporter.PROPERTY_BREAK_BEFORE_ROW`.
      See Also:
        Constant Field Values

    - #### PROPERTY_BREAK_AFTER_ROW

          public static final java.lang.String PROPERTY_BREAK_AFTER_ROW

      Deprecated. Replaced by `JRXlsAbstractExporter.PROPERTY_BREAK_AFTER_ROW`.
      See Also:
        Constant Field Values

    - #### isIgnoreGraphics

          protected boolean isIgnoreGraphics

    - #### isIgnorePageMargins

          protected boolean isIgnorePageMargins

  - ### Constructor Detail

    - #### JRXlsAbstractExporterNature

          protected JRXlsAbstractExporterNature(JasperReportsContext jasperReportsContext,
                                     ExporterFilter filter,
                                     boolean isIgnoreGraphics,
                                     boolean isIgnorePageMargins)

    - #### JRXlsAbstractExporterNature

          protected JRXlsAbstractExporterNature(ExporterFilter filter,
                                     boolean isIgnoreGraphics)

      Deprecated. Replaced by `JRXlsAbstractExporterNature(JasperReportsContext, ExporterFilter, boolean, boolean)`.

    - #### JRXlsAbstractExporterNature

          protected JRXlsAbstractExporterNature(ExporterFilter filter,
                                     boolean isIgnoreGraphics,
                                     boolean isIgnorePageMargins)

      Deprecated. Replaced by `JRXlsAbstractExporterNature(JasperReportsContext, ExporterFilter, boolean, boolean)`.

  - ### Method Detail

    - #### getPropertiesUtil

          public JRPropertiesUtil getPropertiesUtil()

      Overrides:
        `getPropertiesUtil` in class `AbstractExporterNature`

    - #### isToExport

          public boolean isToExport(JRPrintElement element)

    - #### isDeep

          public boolean isDeep(JRPrintFrame frame)

      Description copied from interface: `ExporterNature`
      Specified whether to include in the grid sub elements of a given `frame` element.

    - #### isSpanCells

          public boolean isSpanCells()

      Description copied from interface: `ExporterNature`
      Specifies whether the exporter handles cells span

    - #### isIgnoreLastRow

          public boolean isIgnoreLastRow()

    - #### isHorizontallyMergeEmptyCells

          public boolean isHorizontallyMergeEmptyCells()

      Description copied from interface: `ExporterNature`
      Flag that specifies that empty cells are to be horizontally merged.

      If the flag is set and this nature is `deep`, the nature is required to `export` `frames`.

      Returns:
        whether empty cells are to be horizontally merged

    - #### isIgnorePageMargins

          public boolean isIgnorePageMargins()

      Specifies whether empty page margins should be ignored

    - #### isBreakBeforeRow

          public boolean isBreakBeforeRow(JRPrintElement element)

    - #### isBreakAfterRow

          public boolean isBreakAfterRow(JRPrintElement element)

    - #### getRowAutoFit

          public java.lang.Boolean getRowAutoFit(JRPrintElement element)

    - #### getColumnAutoFit

          public java.lang.Boolean getColumnAutoFit(JRPrintElement element)

    - #### getShowGridlines

          public java.lang.Boolean getShowGridlines(JRPrintElement element)

    - #### getCustomColumnWidth

          public java.lang.Integer getCustomColumnWidth(JRPrintElement element)

    - #### getColumnWidthRatio

          public java.lang.Float getColumnWidthRatio(JRPrintElement element)

    - #### getRowLevelSuffixes

          public java.util.List<JRPropertiesUtil.PropertySuffix> getRowLevelSuffixes(JRPrintElement element)

    - #### getSheetName

          public java.lang.String getSheetName(JRPrintElement element)

    - #### getPageScale

          public java.lang.Integer getPageScale(JRPrintElement element)

    - #### getFirstPageNumber

          public java.lang.Integer getFirstPageNumber(JRPrintElement element)

    - #### setXProperties

          public void setXProperties(CutsInfo xCuts,
                            JRPrintElement element,
                            int row1,
                            int col1,
                            int row2,
                            int col2)

      Specified by:
        `setXProperties` in interface `ExporterNature`
      Overrides:
        `setXProperties` in class `AbstractExporterNature`

    - #### setXProperties

          public void setXProperties(java.util.Map<java.lang.String,java.lang.Object> xCutsProperties,
                            JRPrintElement element)

      Specified by:
        `setXProperties` in interface `ExporterNature`
      Overrides:
        `setXProperties` in class `AbstractExporterNature`

    - #### setYProperties

          public void setYProperties(CutsInfo yCuts,
                            JRPrintElement element,
                            int row1,
                            int col1,
                            int row2,
                            int col2)

      Specified by:
        `setYProperties` in interface `ExporterNature`
      Overrides:
        `setYProperties` in class `AbstractExporterNature`

    - #### setYProperties

          public void setYProperties(java.util.Map<java.lang.String,java.lang.Object> yCutsProperties,
                            JRPrintElement element)

      Specified by:
        `setYProperties` in interface `ExporterNature`
      Overrides:
        `setYProperties` in class `AbstractExporterNature`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com